//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop
#include <ShellApi.h>   // ShellExecute
#include "UnReport.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TFrmReport *FrmReport;
AnsiString FileName;    //   
//---------------------------------------------------------------------------
__fastcall TFrmReport::TFrmReport(TComponent* Owner)
	: TForm(Owner)
{
}

void __fastcall TFrmReport::MnItPrintClick(TObject *Sender)
{
Application->MessageBox(" ", "", MB_OK);
//  ShellExecute(Handle, "print", FileName.c_str(), NULL, NULL, SW_HIDE);
//      C++Builder 3
  RichEditReport->Print((" " + FileName).c_str());
}
//---------------------------------------------------------------------------
void __fastcall TFrmReport::MnItTypeClick(TObject *Sender)
{
 if(FontDialog1->Execute())
    RichEditReport->SelAttributes->Assign(FontDialog1->Font);
}
//---------------------------------------------------------------------------
void __fastcall TFrmReport::MnItSaveAsClick(TObject *Sender)
{
  AnsiString FullFileName;          //  
  SaveDialog1->FileName = FileName; //     
  if(SaveDialog1->Execute()){
    FullFileName = SaveDialog1->FileName;  //  
    int FilterIndex = SaveDialog1->FilterIndex;  // 
    if(FullFileName.Pos(".") == 0)      //     ,
      switch(FilterIndex){              //    
        case 1: FullFileName += ".rtf";
          Application->MessageBox("", " rtf-", MB_OK);
          RichEditReport->Lines->SaveToFile(FullFileName);
        break;
        case 2: FullFileName += ".txt";
          Application->MessageBox("", " txt-", MB_OK);
          TStringList *RepLines = new TStringList; //   
//   RichEditRep
          for(int i = 0; i < RichEditReport->Lines->Count; i++)
            RepLines->Add(RichEditReport->Lines->Strings[i]);
          RepLines->SaveToFile(FullFileName);   //   
        break;
      }
    Caption = FullFileName; //     
//  /
    int LastSlash = FullFileName.LastDelimiter("\\");
    int LastPoint = FullFileName.LastDelimiter(".");
    FileName = FullFileName.SubString(LastSlash + 1, LastPoint - LastSlash - 1);
  }
}
//---------------------------------------------------------------------------
